Bug 102852 - BreakDlg does not work anymore
Summary: BreakDlg does not work anymore
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Armin Le Grand
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-30 10:35 UTC by Armin Le Grand
Modified: 2020-03-18 08:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Le Grand 2016-09-30 10:35:22 UTC
Follow-up to Bug 89901. From that task, extract the metafile - it's huge so I will not add it here - open bugdoc, select graphic, save.

- open Draw/Impress
- insert graphic
- in context menu, choose 'Break'
-> short dialog show-up, end of action, no Break executed at all

What should happen: A Dialog is shown that is used when the to-be-broken object has more than 1000 entries. That dialog shows the progress to the user and allows to cancel the action
Comment 1 Armin Le Grand 2016-09-30 10:37:42 UTC
There is one wrong flag in the dialog implementation, probably a code-conversion error. Also the dialog gets no repaints, that can be fixed with tooling from the dialog screenshot work (slightly adapting that)
Comment 2 Armin Le Grand 2016-09-30 10:42:25 UTC
Solution on gerrit
Comment 3 Commit Notification 2016-10-06 09:03:56 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b07163d73a28e7792011edddf246726919364a26

tdf#102852 Fixed BreakDlg

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Dennis Roczek 2016-10-23 14:50:54 UTC
@Armin is that ticket resolved?
Comment 5 Xisco Faulí 2016-12-06 11:36:14 UTC
Hello Armin,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 6 Xisco Faulí 2017-09-11 09:01:40 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 7 Armin Le Grand 2017-09-15 07:59:15 UTC
Xisco: Yes, checked again, fixed.
Comment 8 Armin Le Grand 2020-03-17 18:11:32 UTC
again as it seems...
Comment 9 Armin Le Grand 2020-03-17 18:49:28 UTC
@Caolan: 50d9f1508709e0849e8ecabfe04ac9281160d9e0 has killed that dialog showing progress again - see tdf#89901 and how to reproduce.

    Application::Reschedule(true);

instead of 

    ensureRepaint();

is *not* enough in BreakDlg::UpDate (IMPL_LINK( BreakDlg, UpDate, void*, nInit, bool )) to get repaint done - at leat not under Win...
Comment 10 Caolán McNamara 2020-03-17 20:18:35 UTC
I can't see why we must reopen old bugs when the same sort of problem appears vs opening a new bug, it just leads to chaos
Comment 11 Xisco Faulí 2020-03-17 22:21:26 UTC
(In reply to Caolán McNamara from comment #10)
> I can't see why we must reopen old bugs when the same sort of problem
> appears vs opening a new bug, it just leads to chaos

I do agree.
@Armin, please, report a new issue and add this one to the 'See also' section.
Putting it back to RESOLVED FIXED